A silly little CLI note app

[Downloads under Releases](https://git.maidsin.space/catto/snotes/releases)

# Usage

```
Usage: snotes [OPTIONS]

Options:
  -c, --create <CREATE>  Create a new note: --create "Hello World" [default: ]
  -s, --show             Show the latest entries
      --showall          Show all entries
  -t, --tag <TAG>        Append or show entries with tag [default: ]
  -d, --delete           Delete the latest entry
  -h, --help             Print help
  -V, --version          Print version
```

# Demo

![demo gif](media/demo.gif)

# Building (Linux)

- Clone this repo `git clone "https://git.maidsin.space/catto/snotes.git"`
- [Install Rust](https://www.rust-lang.org/learn/get-started)
- run `carog build --release` in the root of the project
- You now have a working `snotes` binary file under `target/release`

Windows Builds might be a bit more involved since this dependency builds and bundles sqlite3 [https://github.com/rusqlite/rusqlite](https://github.com/rusqlite/rusqlite)

# Installation

You could copy the `snotes` binary into a `/usr/bin` or `~/.local/bin` folder, one that's part of your system PATH so you can run it anywhere.
